Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452126 - clustering control from application
Summary: clustering control from application
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Alan Conway
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks: 453535
TreeView+ depends on / blocked
 
Reported: 2008-06-19 15:04 UTC by Sergei Vorobiev
Modified: 2009-05-26 13:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-06 15:52:34 UTC


Attachments (Terms of Use)

Description Sergei Vorobiev 2008-06-19 15:04:32 UTC
Within an MRG cluster, a business application needs to have ability from AQMP
client to initiate a failover to a stand-by node within an MRG cluster. For
example if an MRG cluster consists of servers A, B,C and server A acts as an
active broker, to be able from AMQP client to force failover from server A to
server B.

Comment 1 Alan Conway 2008-10-30 15:18:41 UTC
This feature is not required in an active-active cluster, moving to 1.1.1.

Comment 2 Carl Trieloff 2009-01-06 15:52:34 UTC
Closing bug, as it is possible for the client to reconnect to any node in the cluster at any time.


Note You need to log in before you can comment on or make changes to this bug.